Activity log for bug #1252491

Date Who What changed Old value New value Message
2013-11-18 22:06:53 nwt bug added bug
2013-11-18 22:08:29 nwt description Log of the compilation: http://paste.ubuntu.com/6439796/ Among a myriad of warnings, the two errors that cause the failure: pantheon-files/src/ProgressInfoWidget.vala:66.47-66.55: warning: Gtk.Stock has been deprecated since 3.10 pantheon-files/src/ProgressUIHandler.vala:67.30-67.70: error: Invalid assignment from owned expression to unowned variable unowned List<string> cappabilities = Notify.get_server_caps (); ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ pantheon-files/src/ProgressUIHandler.vala:69.16-69.28: error: The name `cappabilities' does not exist in the context of `Marlin.Progress.UIHandler.server_has_persistence' return cappabilities.find ("persistence") != null; ^^^^^^^^^^^^^ Log of the compilation: http://paste.ubuntu.com/6439796/ Among a myriad of warnings, the two errors that cause the failure: pantheon-files/src/ProgressUIHandler.vala:67.30-67.70: error: Invalid assignment from owned expression to unowned variable         unowned List<string> cappabilities = Notify.get_server_caps ();                              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ pantheon-files/src/ProgressUIHandler.vala:69.16-69.28: error: The name `cappabilities' does not exist in the context of `Marlin.Progress.UIHandler.server_has_persistence'         return cappabilities.find ("persistence") != null;                ^^^^^^^^^^^^^ I use the git versions of dependencies, and bzr of granite, contractor (which compile) and files, on Arch Linux.
2013-11-20 17:32:16 Igor Zubkov bug task added pantheon-files (ALT Linux)
2013-11-20 17:34:35 Igor Zubkov attachment added rebuild log https://bugs.launchpad.net/altlinux/+source/pantheon-files/+bug/1252491/+attachment/3913441/+files/pantheon-files-0.1.5-alt2
2013-11-20 18:23:53 Igor Zubkov attachment added pantheon-files-0.1.5.1-alt-fix-build.patch https://bugs.launchpad.net/pantheon-files/+bug/1252491/+attachment/3913476/+files/pantheon-files-0.1.5.1-alt-fix-build.patch
2013-11-21 01:08:32 Launchpad Janitor branch linked lp:~codygarver/pantheon-files/fix-progressuihandler-typo
2013-11-21 01:10:53 Cody Garver affects pantheon-files (ALT Linux) elementaryos
2013-11-21 01:11:04 Cody Garver bug task deleted elementaryos
2013-11-27 19:39:24 Julián Unrrein bug added subscriber Julián Unrrein
2013-11-27 19:54:11 Julián Unrrein branch unlinked lp:~codygarver/pantheon-files/fix-progressuihandler-typo
2013-11-27 20:01:05 RabbitBot pantheon-files: status New Fix Committed
2013-11-27 20:19:50 Julián Unrrein pantheon-files: status Fix Committed New
2013-11-27 23:35:35 Julián Unrrein pantheon-files: status New Confirmed
2013-11-27 23:35:47 Julián Unrrein summary Compilation failure: "Invalid assignment from owned expression to unowned variable" Compilation failure with Vala 0.22.1: "Invalid assignment from owned expression to unowned variable"
2013-11-28 02:46:55 Cody Garver pantheon-files: milestone isis-beta1
2013-11-28 02:46:58 Cody Garver pantheon-files: importance Undecided High
2013-11-28 07:18:04 Rico Tzschichholz attachment added lp1252491.patch https://bugs.launchpad.net/pantheon-files/+bug/1252491/+attachment/3918862/+files/lp1252491.patch
2013-11-30 02:20:18 Cody Garver branch linked lp:~codygarver/pantheon-files/workaround-1252491
2013-11-30 02:20:43 Cody Garver pantheon-files: status Confirmed In Progress
2013-11-30 02:20:51 Cody Garver pantheon-files: assignee Rico Tzschichholz (ricotz)
2013-12-04 11:16:46 Rico Tzschichholz pantheon-files: status In Progress Fix Committed
2014-02-09 10:51:15 Cody Garver pantheon-files: milestone isis-beta1 0.1.6
2014-02-09 10:51:22 Cody Garver pantheon-files: status Fix Committed Fix Released